package cn.com.qmth.scancloud.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

	/**
	 * 心跳超时时间（秒）
	 */
	@Value("${scancloud.heartbeat-timeout}")
    private Integer heartbeatTimeout;
    
	@Value("${scancloud.thread.count}")
    private Integer threadCount;
	
	@Value("${scancloud.file-uri-prefix}")
    private String fileUriPrefix;
	
	@Value("${scancloud.version}")
    private String version;
	@Value("${scancloud.image-transfer.dir}")
    private String transferDir;
	
	public Integer getHeartbeatTimeout() {
		return heartbeatTimeout;
	}

	public void setHeartbeatTimeout(Integer heartbeatTimeout) {
		this.heartbeatTimeout = heartbeatTimeout;
	}

	public Integer getThreadCount() {
		return threadCount;
	}

	public void setThreadCount(Integer threadCount) {
		this.threadCount = threadCount;
	}

	public String getFileUriPrefix() {
		return fileUriPrefix;
	}

	public void setFileUriPrefix(String fileUriPrefix) {
		this.fileUriPrefix = fileUriPrefix;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getTransferDir() {
		return transferDir;
	}

	public void setTransferDir(String transferDir) {
		this.transferDir = transferDir;
	}

	
    
}
