package cn.com.qmth.scancloud.enums;

public enum VerifyStatus {

	WAITING("等待"),

    REJECT("拒绝"),

    CONFIRM("通过");

    private String name;

    VerifyStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static VerifyStatus getByName(String name) {
        for (VerifyStatus r : VerifyStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
