package cn.com.qmth.scancloud.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import cn.com.qmth.scancloud.service.SessionService;


@Service
public class OnlineUserCountJob  {
	@Autowired
	private SessionService sessionService;

	@Scheduled(cron = "0/30 * * * * ?")
    public void process(){
		sessionService.clearTimeOutUser();
    }

}
