package cn.com.qmth.scancloud.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import cn.com.qmth.scancloud.service.UploadService;

@Service
public class UploadJob  {
	
	@Autowired
	private UploadService uploadService;
	
	
	@Scheduled(cron = "0/10 * * * * ?")
    public void process(){
    	uploadService.upload();
    }

}
