package cn.com.qmth.scancloud.vo;

import java.util.List;

import cn.com.qmth.scancloud.entity.AdapteFileEntity;
import cn.com.qmth.scancloud.entity.AnswerCardEntity;
import cn.com.qmth.scancloud.enums.CardSource;

public class AnswerCardVo {

    private Integer number;

    private String subjectCode;

    private String subjectName;

    private Integer paperCount;

    private String uri;

    private String md5;

    private CardSource source;

    private Boolean needAdapte;

    private Boolean singlePage;

    private String parameter;

    private String remark;

    private Long updateTime;
    
    private Boolean enable;
    
    private List<AdapteFileEntity> adapteFile;

    public AnswerCardVo(AnswerCardEntity a) {
        this.md5 = a.getMd5();
        this.number = a.getNumber();
        this.needAdapte = a.getNeedAdapte();
        this.paperCount = a.getPaperCount();
        this.parameter = a.getParameter();
        this.remark = a.getRemark();
        this.singlePage = a.getSinglePage();
        this.source = a.getSource();
        this.subjectCode = a.getSubjectCode();
        this.subjectName = a.getSubjectName();
        this.updateTime = a.getUpdateTime();
        this.uri = a.getPath();
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public Boolean getSinglePage() {
        return singlePage;
    }

    public void setSinglePage(Boolean singlePage) {
        this.singlePage = singlePage;
    }

    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public CardSource getSource() {
        return source;
    }

    public void setSource(CardSource source) {
        this.source = source;
    }

    public Boolean getNeedAdapte() {
        return needAdapte;
    }

    public void setNeedAdapte(Boolean needAdapte) {
        this.needAdapte = needAdapte;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

    
    public List<AdapteFileEntity> getAdapteFile() {
        return adapteFile;
    }

    
    public void setAdapteFile(List<AdapteFileEntity> adapteFile) {
        this.adapteFile = adapteFile;
    }
    
}
