package cn.com.qmth.scancloud.enums;

public enum SystemMode {

    MARKING_CLOUD("云阅卷"),

    STANDALONE("独立"),

    ;

    private String name;

    SystemMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static SystemMode getByName(String name) {
        for (SystemMode r : SystemMode.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
