package cn.com.qmth.scancloud.multithread.producer;

import cn.com.qmth.scancloud.multithread.BatchProducer;
import cn.com.qmth.scancloud.multithread.consumer.PictureCopyConsumer;
import cn.com.qmth.scancloud.service.StudentService;
import cn.com.qmth.scancloud.vo.StudentUploadVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class PictureCopyProducer extends BatchProducer<StudentUploadVo, PictureCopyConsumer> {

    @Autowired
    private StudentService studentService;

    @Override
    public List<StudentUploadVo> findOneBatchData(Map<String, Object> param) {
        return studentService.findToPictureCopy(200);
    }

}
