package cn.com.qmth.scancloud.service;

import cn.com.qmth.scancloud.bean.CardAnswerDomain;
import cn.com.qmth.scancloud.entity.ScannerCardEntity;
import cn.com.qmth.scancloud.vo.UpdateCountVo;
import com.github.jeffreyning.mybatisplus.service.IMppService;

import java.util.List;

public interface ScannerCardService extends IMppService<ScannerCardEntity> {

    List<ScannerCardEntity> getListByExamAndDevice(Long examId, String account);

    UpdateCountVo cardAnswer(CardAnswerDomain domain);

    int getCountByExamAndDevice(Long examId, String account);

	int deleteByExamAndCardNumber(Long examId, Integer cardNumber);

}
