package cn.com.qmth.scancloud.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.scancloud.bean.ImportUserDomain;
import cn.com.qmth.scancloud.entity.UserEntity;
import cn.com.qmth.scancloud.enums.Role;
import cn.com.qmth.scancloud.vo.AuditorVo;
import cn.com.qmth.scancloud.vo.CreateCountVo;
import cn.com.qmth.scancloud.vo.UpdateCountVo;

public interface UserService extends IService<UserEntity> {

    UserEntity getByLoginName(String loginName);

    int importUser(List<ImportUserDomain> users);

    List<UserEntity> findByRole(Long schoolId,Role role);

    List<AuditorVo> findAuditor(Long schoolId);

    UpdateCountVo updatePassword(List<Long> ids, String password);

    CreateCountVo create(Long schoolId, String prefix, Integer count, String password);

    int countByRole(Long schoolId, Role role);

}
